<?php

namespace common\modules\product\models;

use Yii;

/**
 * This is the model class for table "stock".
 *
 * @property integer $stock_id
 * @property string $name
 *
 * @property ProductStock[] $productStocks
 */
class Stock extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'stock';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'string', 'max' => 150],
            [['name'], 'required'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'stock_id' => Yii::t('product', 'Stock ID'),
            'name' => Yii::t('product', 'Name'),
        ];
    }
}
